Subject: bug#20189: 25.0.50; Feature request: Alternative split-window-sensibly functions

From: Tassilo Horn <[email-masked]>
Date: Tue, 24 Mar 2015 12:39:03 +0100

martin rudalics <[email-masked]> writes:

>> With that and a maximized frame of size 269x82, I'd eventually end up
>> with three side-by-side windows each of size 86x82.
>
> Interesting.  What is your value of `window-combination-resize'?

I didn't know that, so it has the default value nil.  Reading its docs I
get the impression that I want that to be t instead, and to have it
effective, I'd also need to set `window-combination-limit' to nil.

But with

  (setq window-combination-resize t
        window-combination-limit nil) ;; was window-size before

and a single 269x82 window, I still get a horizontal split first
(forming a horizontal combination IIUC) and then a vertical split.

Bye,
Tassilo